Subject: Re: [Aeon] Comments and next step proposal

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Fri, 25 Apr 2014 10:24:15 +0000

It works for the IMS scenario because the application server (AS) is co-located in the same Mobile Network.
But consider a scenario where the AS in not deployed in the Mobile Network. The 5-tuple session that the AS receives will have the post-NAT IP address of the client, AS will not be aware of the pre-NAT source IP address of the client to signal the correct 5-tuple to the Mobile Network for applying QOS.  The other problem that I see with this approach is that AS should be aware of the Mobile network to which the client is attached.

The alternative mechanism for solving the problem is the client obtains a cryptographic token from the AS, then includes the token in the request with relevant flow characteristics. ISP validates the token and grant the request.

Cheers,
-Tiru

From: Aeon [mailto:[email-masked]] On Behalf Of Hui Deng
Sent: Thursday, April 24, 2014 8:39 PM
To: BARI, FAROOQ
Cc: [email-masked]; Rong Zhang; Charles Eckel (eckelcu); Fan, Peng; Sheng Jiang
Subject: Re: [Aeon] Comments and next step proposal

Thank you, Farooq, I believe you are Mr. PCRF, thanks for your advice about gap.
Inline please with two discussions.

2014-04-24 1:38 GMT+08:00 BARI, FAROOQ <[email-masked]<mailto:[email-masked]>>:
Thanks Hui for forwarding this thread. The Rx interface is between an application server in the network and a 3GPP policy server (that can influence IP flow’s assigned QoS). Currently Rx interface uses Diameter to carry QoS needs for a session to the 3GPP network. How the application server becomes aware of the IP session’s QoS needs is application dependent. For example in the case of IMS SDP information carried along with SIP messages provides this type of information to the application server. In other application types it maybe some other protocol or some proprietary means by which the application server is able to identify particular IP flow’s QoS needs.
I understand that Rx can identify QoS needs, and does Rx can identify IP sessions based on diameter signaling? can we think that will be sufficient to identify the IP session, do we still have space to allow IETF to work on this？

TDF (similar to DPI) in 3GPP  is an additional tool along with Rx interface in this discussion where the network can identify certain service types via packet inspection to provide them with necessary QoS (rather than explicit signaling via Rx).  I do not have enough data to say whether this functionality is sufficient or if more is needed.
This two directions have only one difference that whether UE/client's involvement is useful or not.

Thanks again for your advice

Best regards,

-Hui

BTW I am not subscribed to aeon – so I assume my response will get rejected from that email list ☺.

BR,

Farooq Bari, PhD
Lead Member Technical Staff
Standards & Industry Alliances
AT&T Services, Inc.

Email: [email-masked]<mailto:[email-masked]>
Tel: +1 425 580 5526

This e-mail and any files transmitted with it are AT&T property, are confidential, and are intended solely for the use of the individual or entity to whom this email is addressed. If you are not one of the named recipient(s) or otherwise have reason to believe that you have received this message in error, please notify the sender and delete this message immediately from your computer. Any other use, retention, dissemination, forwarding, printing, or copying of this e-mail is strictly prohibited

From: Hui Deng [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Wednesday, April 23, 2014 7:46 AM
To: Charles Eckel (eckelcu)
Cc: Rong Zhang; Sheng Jiang; [email-masked]<mailto:[email-masked]>; Fan, Peng; BARI, FAROOQ

Subject: Re: [Aeon] Comments and next step proposal

Hi Charles,

Rx interface rely on application server to communicate with network infrastructure, but IS that sufficient and more dynamical, realtime.

Will see whether Farooq could kindly help to explain it.

Best regards,

-Hui

2014-04-23 22:37 GMT+08:00 Charles Eckel (eckelcu) <[email-masked]<mailto:[email-masked]>>:
Hi Rong,

I do not claim to be a 3GPP expert, so please correct me if I have it wrong. The way I see it, the 3GPP Rx interface provides a means for AEON to interact with the existing 3GPP architecture. One problem for 3GPP is how to get the necessary information to be conveyed over the Rx interface. AEON can be used for end applications to communicate this information to the 3GPP network for consumption over the Rx interface. In 3GPP, I do not believe end applications have direct access to the Rx interface. AEON fills that gap.
As for whether the work proceeds in intarea or transport, the original guidance from the ADs of both areas was to start in transport. Once we have the updated drafts in place, we can certainly revisit that decision.

Cheers,
Charles

From: Rong Zhang <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, April 23, 2014 at 1:11 AM
To: Sheng Jiang <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Fan, Peng" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Aeon] Comments and next step proposal

Hi all,

Speaking as the operator, I do see this trend that OTT are working with operators today which will help to improve the mobile internet user experience dramatically.

I have one basic comment that current documents have n't talked about 3GPP PCRF Rx interface which will allow OTT to work with today's mobile operator, I will work with Sheng to write the gap analysis document by including how IETF work could be a complimentary to 3GPP's specificaiton.

I am planning to attend next IETF meeting, and hope BoF will happen, I personally feel it is more Intarea scope than transport.

Cheers.

-Rong ZHANG

On Wed, Apr 23, 2014 at 11:31 AM, Sheng Jiang <[email-masked]<mailto:[email-masked]>> wrote:
Hi, all,

This is a real requirement from network operation perspective. Both ISPs and ICPs can benefit from this advance collaborative network model.

Rong Zhang and I are working on an gap analysis document, which we hope to share publically early next week.

Best regards,

Sheng

From: Aeon [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Fan, Peng
Sent: Tuesday, April 22, 2014 7:48 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [Aeon] Comments and next step proposal

Hello all,

Based on our operational experience, we have submitted a draft: http://datatracker.ietf.org/doc/draft-fan-intarea-conet-ps-uc/
The purposes of this draft are to encourage less DPI in the network and propose more cooperation between OTT and Operators. Please kindly help to review the draft and comment here.

I have also reviewed the draft:
http://datatracker.ietf.org/doc/draft-eckel-aeon-problem-statement/,
My comments are:

1)      Shall we consider to split the section 4 into an independent gap analysis document?

2)      For the requirements section, we agree Req. 1, 2, and 7, and just want to clarify:

a)       Req. 3 and 4, do you expect the interaction between network node and host here before the real traffic start?

b)       Req. 5 and 8 are not quite clear to us.

c)        I guess that it not always mandatory to apply Diffserv here, it could be optional?

3)      If you read our draft, we have more experience about the limitation of current DPI/DFI in section 3.

4)      Analysis of other existing solutions like ACL configuration can also be added in section 3.

Also for the draft:
http://datatracker.ietf.org/doc/draft-eckel-aeon-use-cases/
Here I feel that too many use cases are listed here. You may consider narrowing down to a few use cases for which we have strong and specific needs, in order to get work further progressed.

After reading the current work proposed here, we are wondering whether two groups of people could work together to propose a BoF in the coming IETF meeting. To do that, we probably can:

1)      Merge the PS draft into one document.

2)      Write an independent use case document.

3)      Write an gap analysis document.
Once all three documents have finished, we could talk to ADs from both Internet and Transport area about the next step?

Thanks a lot for your consideration.

Best regards,
Peng

_______________________________________________
Aeon mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/aeon

_______________________________________________
Aeon mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/aeon